List containers
GET/containers
List Containers
Query Parameters
after: optional string
A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
List containers
curl https://api.openai.com/v1/containers \
-H "Authorization: Bearer $OPENAI_API_KEY"
{
"object": "list",
"data": [
{
"id": "cntr_682dfebaacac8198bbfe9c2474fb6f4a085685cbe3cb5863",
"object": "container",
"created_at": 1747844794,
"status": "running",
"expires_after": {
"anchor": "last_active_at",
"minutes": 20
},
"last_active_at": 1747844794,
"memory_limit": "4g",
"name": "My Container"
}
],
"first_id": "container_123",
"last_id": "container_123",
"has_more": false
}
Returns Examples
{
"object": "list",
"data": [
{
"id": "cntr_682dfebaacac8198bbfe9c2474fb6f4a085685cbe3cb5863",
"object": "container",
"created_at": 1747844794,
"status": "running",
"expires_after": {
"anchor": "last_active_at",
"minutes": 20
},
"last_active_at": 1747844794,
"memory_limit": "4g",
"name": "My Container"
}
],
"first_id": "container_123",
"last_id": "container_123",
"has_more": false
}